Subject: Re: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home Information Discovery inMIPv6

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 22 Jun 2006 10:55:05 -0700

Behcet Sarikaya wrote:
> Hi Vijay,
> The idea in the present WiMAX document is quite simple:
> it uses EAP-PKMv2 (which is like 802.11i) authentication and during EAP 
> transaction, they assume that AAA server determines that the MS is a 
> CMIPv6 authorized user based on the AAA profile and it will include all 
> the so-called bootstrapping info in the Access-Accept. Then MS can  use 
> RFC 3736 to make a DHCP Information Request to DHCP Relay colocated with 
> NAS and use draft-jang (extended now with HoA) and receive all the info 
> to configure MIP6.  

the DHCP Relay replies to the MN without relaying the DHCP
request from the MN to a DHCP server? this is not allowed
with the current IETF specs.

>   In this setup can you make a case for 
> draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt?

as far as I am concerned,
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt
is the document that describes how to use DHCPv6 for MIPv6
bootstrapping. as for the setup in the WiMAX NWG, it is
something that doesn't conform to the IETF DHCP specs.

Vijay

> 
> Regards,
> 
> --behcet
> 
> ----- Original Message ----
> From: Alper Yegin <[email-masked]>
> To: Gerardo Giaretta <[email-masked]>
> Cc: [email-masked]; [email-masked]; Heejin Jang <[email-masked]>
> Sent: Wednesday, June 21, 2006 4:48:10 PM
> Subject: RE: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home 
> Information Discovery inMIPv6
> 
> Gerardo,
> 
> I think it helps to understand the components of the full picture.
> 
> [a] Delivery of the info from home AAA to the NAS
> [b] Delivery of the info from the NAS (DHCP relay) to the DHCP server.
> [c] Delivery of the info from the DHCP server to the DHCP client
> [d] Plumbing of all these components
> 
> 
> [a], [b], and [c] are all protocol work. [d] is just informational.
> 
> The document draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt covers [b]
> and [d].
> 
> WiMAX does not use [b]. For that there is no need to have a normative
> reference to draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt. It could
> have an informative reference to it, but it does not have to.
> 
> Alper
> 
> 
> 
> 
> 
> 
>  > -----Original Message-----
>  > From: Gerardo Giaretta [mailto:[email-masked]]
>  > Sent: Wednesday, June 21, 2006 1:18 AM
>  > To: Alper Yegin
>  > Cc: Vijay Devarapalli; [email-masked]; Heejin Jang; [email-masked]
>  > Subject: Re: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home 
> Information
>  > Discovery inMIPv6
>  >
>  > Alper,
>  >
>  > just one question below in order to understand if there is a real
>  > technical reason to keep the docs separated..
>  >
>  > > > > But I hope this data point helps: WiMAX Forum NWG architecture is
>  > using
>  > > > > draft-jang.
>  > > >
>  > > > in what context and how are they planning to use it?
>  > >
>  > > The MIP info is brought to the DHCP server via RADIUS and delivered to
>  > the
>  > > MN via DHCP.
>  > >
>  >
>  > Can you please explain which are the technical differences between the
>  > solution in the DT draft for integrated scenario and the solution
>  > developped in WiMAX?
>  >
>  > I guess in WiMAX MIP info are brought to DHCP relay (i.e. NAS) and
>  > then draft-jang is applied. Is this really different from what is
>  > described in the DT draft?
>  >
>  > --Gerardo
>  >
>  > > > the
>  > > > WiMAX forum NWG can still use the DHCP options wherever
>  > > > they are defined.
>  > >
>  > > Yes. And WiMAX Forum could also use it even if IETF had 
> concatenated all
>  > of
>  > > the RFCs and I-Ds under a single document too.... This I-D being
>  > referenced
>  > > whereas the draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt wasn't
>  > is a
>  > > solid proof that the former I-D is useful without having to be
>  > integrated
>  > > into the latter.
>  > >
>  > >
>  > > > >>the only other mechanism is to manually
>  > > > >>configure the DHCP servers in the visited link with
>  > > > >>information like home agent address, home address and home
>  > > > >>prefix. this is a bad idea.
>  > >
>  > >
>  > > You know that one does not have to put DHCP servers on every subnet,
>  > instead
>  > > one can rely on DHCP relays. And that's the used technique for many
>  > > enterprise networks. So, I don't see why this is a bad idea.
>  > >
>  > > Alper
>  > >
>  > >
>  > >
>  > >
>  > > >
>  > > > Vijay
>  > > >
>  > > > >
>  > > > > Alper
>  > > > >
>  > > > >
>  > > > >
>  > > > >>-----Original Message-----
>  > > > >>From: Vijay Devarapalli [mailto:[email-masked]]
>  > > > >>Sent: Monday, June 19, 2006 6:17 PM
>  > > > >>To: Heejin Jang
>  > > > >>Cc: [email-masked]; [email-masked]
>  > > > >>Subject: Re: [Mip6] [Updated] DHCP Option for Home Information
>  > Discovery
>  > > > >>inMIPv6
>  > > > >>
>  > > > >>Heejin Jang wrote:
>  > > > >>
>  > > > >>>Hello folks,
>  > > > >>>We posted an I-D that proposes new DHCP Options for Home
>  > Information
>  > > > >>>Discovery in MIPv6.
>  > > > >>>
>  > > > >>>Kindly note that the previous version of this draft is
>  > > > >>>"draft-jang-dhc-haopt-02.txt" but the name is slightly changed 
> into
>  > > > >>>"draft-jang-mip6-hiopt-00.txt" while keeping almost the same
>  > contents.
>  > > > >>>
>  > > > >>>The drafts referencing this draft such as
>  > > > >>>draft-ietf-mip6-bootstrapping-split-02.txt and
>  > > > >>>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt need to be
>  > revised
>  > > > >>>accordingly.
>  > > > >>>
>  > > > >>>We would appreciate to hear your comments.
>  > > > >>
>  > > > >>when this draft was discussed in the MIP6 bootstrapping
>  > > > >>design team, many people wanted to integrate the two DHCP
>  > > > >>options into
>  > > > >>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt.
>  > > > >>this was mainly because the options defined in the document
>  > > > >>have limited applicability beyond the integrated scenario
>  > > > >>solution document. the only other mechanism is to manually
>  > > > >>configure the DHCP servers in the visited link with
>  > > > >>information like home agent address, home address and home
>  > > > >>prefix. this is a bad idea.
>  > > > >>
>  > > > >>there was some opposition and we never reached an agreement.
>  > > > >>
>  > > > >>so I suggest including these options into the integrated
>  > > > >>scenario solution document for these options to get
>  > > > >>standardized quickly.
>  > > > >>
>  > > > >>Vijay
>  > > > >>
>  > > > >>_______________________________________________
>  > > > >>Mip6 mailing list
>  > > > >>[email-masked]
>  > > > >>https://www1.ietf.org/mailman/listinfo/mip6
>  > > > >
>  > > > >
>  > >
>  > >
>  > >
>  > > _______________________________________________
>  > > dhcwg mailing list
>  > > [email-masked]
>  > > https://www1.ietf.org/mailman/listinfo/dhcwg
>  > >
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg